#ifndef CONFIGURATION_H
#define CONFIGURATION_H

#define StringVersionConfigH __DATE__ "" __TIME__
#define StringConfigHauthor "(ORD Solutions V3.3)"
#define SERIAL_PORT 0
#define Nozzles 2
#define Temp1 2
#define Temp2 2
#define Temp3 1
#define Temp4 2 
#define Temp5 2
#define Temp6 2
#define Temp7 2
#define TempResidencyTime 3
#define TempHysteresis 3
#define TempWindow     1
#define Heater1MinTemp 5
#define Heater2MinTemp 5
#define Heater3MinTemp 5
#define Heater4MinTemp 5
#define Heater5MinTemp 5
#define Heater6MinTemp 5
#define Heater1MaxTemp 460
#define Heater2MaxTemp 310
#define Heater3MaxTemp 310
#define Heater4MaxTemp 310
#define Heater5MaxTemp 310
#define BedMaxTemp 160
#define PidTemp
#define PidMax 255
#define PidIntegralDriveMax 175
#define K1 0.95
#define Pid_dT ((16.0 * 8.0)/(F_CPU / 64.0 / 256.0))
#define  DefaultKp 26.72
#define  DefaultKi 1.34
#define  DefaultKd 133.28
#define PidTempBED
#define MaxBedPower 225
#define  DefaultBedKp 266.11
#define  DefaultBedKi 7.51
#define  DefaultBedKd 2358.77

#define PreventDangerousExtrude
#define PreventLengthyExtrude

#define ExtrudeMinTemp 160
#define ExtrudeMaxLength (XmaxLength+YmaxLength)

#define EndstopPullupXmax
#define EndstopPullupYmax
#define EndstopPullupZmax
#define EndstopPullupXmin
#define EndstopPullupYmin
#define EndstopPullupZmin

const bool XminEndstopInverting = false;
const bool YminEndstopInverting = false;
const bool ZminEndstopInverting = false;
const bool XmaxEndstopInverting = false;
const bool YmaxEndstopInverting = false; 
const bool ZmaxEndstopInverting = false;

#define XenableOn 0
#define YenableOn 0
#define ZenableOn 0
#define EenableOn 0

#define DisableX false
#define DisableY false
#define DisableZ true
#define DisableE false

#define InvertXdir false
#define InvertYdir true
#define InvertZdir true
#define InvertE0dir false
#define InvertE1dir false
#define InvertE2dir true
#define InvertE3dir true
#define InvertE4dir true

#define XhomeDir -1
#define YhomeDir -1
#define ZhomeDir -1

#define MinSoftwareEndstops true
#define MaxSoftwareEndstops true
#define XmaxPos 218
#define XminPos 0
#define YmaxPos 275
#define YminPos 0
#define ZmaxPos 180
#define ZminPos 0

#define XmaxLength (XmaxPos - XminPos)
#define YmaxLength (YmaxPos - YminPos)
#define ZmaxLength (ZmaxPos - ZminPos)

#define NumAxis 4
#define HomingFeedrate				  {50*60, 50*60, 4*50, 0}
#define DefaultAxisStepsPerUnit		  {100, 100, 4000, 414.}
#define DefaultMaxFeedrate            {500, 500, 5, 1000}
#define MaxAcceleration				  {9000,9000,100,10000} 
#define DefaultAcceleration           3000
#define DefaultRetractAcceleration    3000
#define XYCornerAccel                 20.0
#define ZJerk                         0.4
#define EJerk                         5.0
#define EepromSettings
#define EepromChitChat

// Preheat Constants
#define PlaPreheatHotendTemp 180
#define PlaPreheatHpbTemp 70
#define PlaPreheatFanSpeed 255   // Insert Value between 0 and 255

#define AbsPreheatHotendTemp 240
#define AbsPreheatHpbTemp 100
#define AbsPreheatFanSpeed 255   // Insert Value between 0 and 255

#define SdSupport // Enable SD Card Support in Hardware Console

#include "Configuration_adv.h"
#include "thermistortables.h"

#endif
