#ifndef CONFIGURATION_ADV_H
#define CONFIGURATION_ADV_H

//===========================================================================
//=============================Thermal Settings  ============================
//===========================================================================

#ifdef BedLimitSwitching
  #define BedHysteresis 2
#endif

#ifdef PidTemp
  #define PID_ADD_EXTRUSION_RATE  
  #ifdef PID_ADD_EXTRUSION_RATE
    #define  DEFAULT_Kc (1)
  #endif
#endif

#define BED_CHECK_INTERVAL 5000
#define AUTOTEMP
#define AUTOTEMP_OLDWEIGHT 0.98
#define EXTRUDER_RUNOUT_MINTEMP 190  
#define EXTRUDER_RUNOUT_SECONDS 30.
#define EXTRUDER_RUNOUT_ESTEPS 14.
#define EXTRUDER_RUNOUT_SPEED 1500.
#define EXTRUDER_RUNOUT_EXTRUDE 100
#define TEMP_SENSOR_AD595_OFFSET 0.0
#define TEMP_SENSOR_AD595_GAIN   1.0
#define TEMP_SENSOR_AD8497_OFFSET -0.98
#define TEMP_SENSOR_AD8497_GAIN   122.4
#define CONTROLLERFanPin -1
#define CONTROLLERFAN_SECS 60
#define CONTROLLERFAN_SPEED 255
#define EXTRUDER_0_AUTO_FanPin   -1
#define EXTRUDER_1_AUTO_FanPin   -1
#define EXTRUDER_2_AUTO_FanPin   -1
#define EXTRUDER_3_AUTO_FanPin   -1
#define EXTRUDER_4_AUTO_FanPin   -1
#define EXTRUDER_AUTO_FAN_TEMPERATURE 50
#define EXTRUDER_AUTO_FAN_SPEED   255
#define ENDSTOPS_ONLY_FOR_HOMING


#ifdef ManualHomePositions
  #define XhomePos MANUAL_XhomePos
  #define YhomePos MANUAL_YhomePos
  #define ZhomePos MANUAL_ZhomePos
#else
  #if XhomeDir == -1
    #ifdef BED_CENTER_AT_0_0
      #define XhomePos XmaxLength * -0.5
    #else
      #define XhomePos XminPos
    #endif
  #else    
    #ifdef BED_CENTER_AT_0_0
      #define XhomePos XmaxLength * 0.5
    #else
      #define XhomePos XmaxPos
    #endif
  #endif
  
  #if YhomeDir == -1
    #ifdef BED_CENTER_AT_0_0
      #define YhomePos YmaxLength * -0.5
    #else
      #define YhomePos YminPos
    #endif
  #else    
    #ifdef BED_CENTER_AT_0_0
      #define YhomePos YmaxLength * 0.5
    #else
      #define YhomePos YmaxPos
    #endif
  #endif
  
  #if ZhomeDir == -1
    #define ZhomePos ZminPos
  #else    
    #define ZhomePos ZmaxPos
  #endif
#endif

#define XhomeRetractMM 5 
#define YhomeRetractMM 5 
#define ZhomeRetractMM 1 
#define AXIS_RELATIVE_MODES {false, false, false, false}
#define MAX_STEP_FREQUENCY 40000
#define INVERT_XstepPin false
#define INVERT_YstepPin false
#define INVERT_ZstepPin false
#define INVERT_E_STEP_PIN false
#define DEFAULT_STEPPER_DEACTIVE_TIME 60
#define DEFAULT_MINIMUMFEEDRATE       0.0
#define DEFAULT_MINTRAVELFEEDRATE     0.0
#define DEFAULT_MINSEGMENTTIME        20000
#define SLOWDOWN
#define MINIMUM_PLANNER_SPEED 0.05
#define MICROSTEP1 LOW,LOW
#define MICROSTEP2 HIGH,LOW
#define MICROSTEP4 LOW,HIGH
#define MICROSTEP8 HIGH,HIGH
#define MICROSTEP16 HIGH,HIGH
#define MICROSTEP32 HIGH,HIGH
#define MICROSTEP_MODES {16,16,16,16,16}
#define DIGIPOT_MOTOR_CURRENT {135,135,135,135,135}
#define SD_FINISHED_STEPPERRELEASE true
#define SD_FINISHED_RELEASECOMMAND "M84 X Y Z E"
#define MM_PER_ARC_SEGMENT 1
#define N_ARC_CORRECTION 25
const unsigned int dropsegments=5;
#define SdCardDetectINVERTED
#define PS_ON_AWAKE  LOW
#define PS_ON_ASLEEP HIGH
#define MAX_CMD_SIZE 96
#define BUFSIZE 4
#define MIN_RETRACT 0.1
#define BLOCK_BUFFER_SIZE 16

#if Nozzles > 1 && defined Temp2_AS_REDUNDANT
  #error "You cannot use Temp2_AS_REDUNDANT if Nozzles > 1"
#endif

#if Temp1 > 0
  #define TempSensor1 Temp1
  #define TempSensor1UsesThermistor
#endif
#if Temp2 > 0
  #define TempSensor2 Temp2
  #define TempSensor2UsesThermistor
#endif
#if Temp3 > 0
  #define TempSensor3 Temp3
  #define TempSensor3UsesThermistor
#endif
#if Temp4 > 0
  #define TempSensor4 Temp4
  #define TempSensor4UsesThermistor
#endif
#if Temp5 > 0
  #define TempSensor5 Temp5
  #define TempSensor5UsesThermistor
#endif
#if Temp6 > 0
  #define Tempsensor6 Temp6
  #define Tempsensor6UsesThermistor
#endif
#if Temp7 > 0
  #define TempSensor7 Temp7
  #define TempSensor7UsesThermistor
#endif
#if Temp1 == 0
  #undef Heater1MinTemp
  #undef Heater1MaxTemp
#endif
#if Temp2 == 0
  #undef Heater2MinTemp
  #undef Heater2MaxTemp
#endif
#if Temp3 == 0
  #undef Heater6MinTemp
  #undef BedMaxTemp
#endif
#if Temp4 == 0
  #undef Heater3MinTemp
  #undef Heater3MaxTemp
#endif
#if Temp5 == 0
  #undef Heater4MinTemp
  #undef Heater4MaxTemp
#endif
#if Temp6 == 0
  #undef Heater5MinTemp
  #undef Heater5MaxTemp
#endif


#endif //__CONFIGURATION_ADV_H
