#ifndef PINS_H
#define PINS_H

#define Xms1Pin -1
#define Xms2Pin -1
#define Yms1Pin -1
#define Yms2Pin -1
#define Zms1Pin -1
#define Zms2Pin -1
#define E0ms1Pin -1
#define E0ms2Pin -1
#define E1ms1Pin -1
#define E1ms2Pin -1
#define E2ms1Pin -1
#define E2ms2Pin -1
#define E3ms1Pin -1
#define E3ms2Pin -1
#define E4ms1Pin -1
#define E4ms2Pin -1
#define DigiPotssPin -1

	#define LargeFlash true
	#define XenablePin       38
	#define XdirPin          55
	#define XstepPin         54
	#define XminPin           3
	#define XmaxPin           2

	#define YenablePin       56
	#define YdirPin          61
	#define YstepPin         60
	#define YminPin          14 
	#define YmaxPin          15 

	#define ZenablePin       62
	#define ZdirPin          48
	#define ZstepPin         46
	#define ZminPin          18
	#define ZmaxPin          19

	#define E0enablePin      24
	#define E0dirPin         28
	#define E0stepPin        26

	#define E1enablePin      30
	#define E1dirPin         34
	#define E1stepPin        36

	#define E2enablePin      40
	#define E2dirPin         25
	#define E2stepPin        23

	#define E3enablePin      41
	#define E3dirPin         29
	#define E3stepPin        27

	#define E4enablePin      42
	#define E4dirPin         37
	#define E4stepPin        43

	#define SdPower            -1
	#define SdSS               53
	#define LedPin            13

	#define FanPin            11
	#define PsOnPin          12
	#define KillPin           -1

	#define HeaterBedPin     8
	#define Heater1Pin       10
	#define Heater2Pin       9
	#define Heater3Pin       16
	#define Heater4Pin	   17
	#define Heater5Pin       4
	#define Temp1Pin         13
	#define Temp2Pin         13
	#define Temp3Pin       14
	#define Temp4Pin         13
	#define Temp5Pin         15
	#define Temp6Pin         12
	#define Temp7Pin        11

	#define SdCardDetect 49
    #define SdSS 53
  
  #define MAX6675_SS       49


#define _E0_PINS E0stepPin, E0dirPin, E0enablePin, Heater1Pin,
#if Nozzles > 1
  #define _E1_PINS E1stepPin, E1dirPin, E1enablePin, Heater2Pin,
#else
  #define _E1_PINS
#endif
#if Nozzles > 2
  #define _E2_PINS E2stepPin, E2dirPin, E2enablePin, Heater3Pin,
#else
  #define _E2_PINS
#endif
#if Nozzles > 3
  #define _E3_PINS E3stepPin, E3dirPin, E3enablePin, Heater4Pin,
#else
  #define _E3_PINS
#endif
#if Nozzles > 4
  #define _E4_PINS E4stepPin, E4dirPin, E4enablePin, Heater5Pin,
#else
  #define _E4_PINS
#endif

#define SENSITIVE_PINS {0, 1, XstepPin, XdirPin, XenablePin, XminPin, XmaxPin, YstepPin, YdirPin, YenablePin, YminPin, YmaxPin, ZstepPin, ZdirPin, ZenablePin, ZminPin, ZmaxPin, PsOnPin, \
                        HeaterBedPin, FanPin,                  \
                        _E0_PINS _E1_PINS _E2_PINS _E3_PINS _E4_PINS            \
                        analogInputToDigitalPin(Temp1Pin), analogInputToDigitalPin(Temp2Pin), analogInputToDigitalPin(Temp4Pin), analogInputToDigitalPin(Temp5Pin), analogInputToDigitalPin(Temp6Pin), analogInputToDigitalPin(Temp7Pin), analogInputToDigitalPin(Temp3Pin) }



#endif
